#ifndef _DEMO_H
#define _DEMO_H

#include <eframe.h>

_CLASSDEF (TDemoApp);
_CLASSDEF(TDemoWindow)

class TDemoApp : public TApplication
{
private:
protected:
public:
	UINT	idHelpMessage;
	UINT	idFindTextMessage;

	TDemoApp(LPSTR AName, HANDLE hInstance, HANDLE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
		: TApplication(AName, hInstance, hPrevInstance, lpCmdLine, nCmdShow) {};

	virtual void InitMainWindow();
	virtual void InitInstance();
	virtual void InitApplication();
};

class TDemoWindow : public TExtendedMDIFrame
{
private:
	COLORREF	rgbCustom[16];

protected:
	virtual LPSTR GetClassName() { return "DEMOFRAME"; }
	virtual void SetupWindow ();

	virtual void CMNew (RTMessage) = [CM_FIRST + CM_NEW];
	virtual void CMOpen (RTMessage)  = [CM_FIRST + CM_OPEN];
	virtual void CMHelpIndex (RTMessage) = [CM_FIRST + CM_HELPINDEX];
	virtual void CMUsingHelp (RTMessage) = [CM_FIRST + CM_USINGHELP];
	virtual void CMAbout (RTMessage)     = [CM_FIRST + CM_ABOUT];
	virtual void CMChooseColor(RTMessage)= [CM_FIRST + CM_SELECTCOLOR];
	virtual void CMSampleDialog(RTMessage) = [CM_FIRST + CM_DIALOG];

	virtual void WMCommDlgHelp (RTMessage);

public :
	TDemoWindow(LPSTR ATitle, int Menu);
	~TDemoWindow();

	virtual void GetWindowClass(WNDCLASS& WndClass);
	virtual void DefWndProc(RTMessage Msg);
};

#endif